name: local_delivery_admin
description: A new Flutter project.

publish_to: 'none' # Remove this line if you wish to publish to pub.dev

version: 1.0.0+1

environment:
  sdk: ">=2.15.1 <3.0.0"

dependencies:
  flutter:
    sdk: flutter

  cupertino_icons: ^1.0.5

  # BASE
  intl: ^0.17.0
  html: ^0.15.0
  shared_preferences: ^2.0.15
  google_fonts: ^3.0.1

  # CONNECTIVITY
  http: ^0.13.5
  connectivity_plus: ^2.3.9

  # STATE MANAGEMENT
  mobx: ^2.1.0
  flutter_mobx: ^2.0.6+4

  # TOAST
  fluttertoast: ^8.0.9

  # IMAGE
  cached_network_image: ^3.2.2
  image_picker: ^0.8.6

  # UI
  lottie: ^1.4.3
  fl_chart: ^0.55.2
  charts_flutter: ^0.12.0
  syncfusion_flutter_charts: ^20.3.48
  flutter_switch: ^0.3.2

  # COUNTRY
  country_code_picker: ^2.0.2

  # PACKAGE INFO
  package_info_plus: ^1.4.3+1

  # LUNCH URL
  url_launcher: ^6.1.6

  # FIREBASE
  firebase_core: ^1.24.0
  firebase_messaging: ^13.1.0

  # TIMELINE
  timeline_tile: ^2.0.0

  # DATE TIME PICKER
  date_time_picker: ^2.1.0

  elegant_notification: ^1.6.3

  # CURRENCY PICKER
  currency_picker: ^2.0.12

  flutter_localizations:
    sdk: flutter

dev_dependencies:
  flutter_test:
    sdk: flutter

  build_runner: ^2.2.1
  mobx_codegen: ^2.0.7+3
  #flutter packages pub run build_runner build --delete-conflicting-outputs

# The following section is specific to Flutter.
flutter:

  uses-material-design: true

  assets:
    - assets/
    - assets/icons/
    - assets/flag/

